import { useState } from "react"
import "./Login.css"
const Login = function({setUsername}){
    const [username, updateUsername] = useState(
        sessionStorage.getItem("username") ? 
        sessionStorage.getItem("username") : ""
    )
    return (<>
        <div className="login">
            <img alt="gobang" src={require("../assets/point.png")} />
            <input onChange={(e)=>{
                updateUsername(e.target.value)
            }} value={username} />
            <button onClick={()=>{
                sessionStorage.setItem("username", username)
                setUsername(username)
            }} >设置用户名</button>
        </div>
    </>)
}
export default Login