import "./Dialog.css"

const Dialog = function({ show ,title, content, confirm}){
    return (<>
        <div style={{display: show ? "block" : "none"}} className="dialog-container">
            <h3 className="dialog-title">{title}</h3>
            <div className="dialog-body">
                <span>{content}</span>
                <button onClick={()=>{
                    if ( confirm ) {
                        confirm()
                    }
                }}>确认</button>
            </div>
        </div>
    </>)
}

export default Dialog